%global pkgname  laguna

Name:           gap-pkg-%{pkgname}
Version:        3.8.0
Release:        1%{?dist}
Summary:        Lie AlGebras and UNits of group Algebras

License:        GPLv2+
URL:            https://gap-packages.github.io/laguna/
Source0:        https://github.com/gap-packages/%{pkgname}/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
# Update informational messages emitted by a test
Patch0:         %{name}-test.patch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-sophus

Requires:       gap-core

Recommends:     gap-pkg-sophus

%description
The LAGUNA package replaces the LAG package and provides functionality
for calculation of the normalized unit group of the modular group
algebra of the finite p-group and for investigation of Lie algebra
associated with group algebras and other associative algebras.

%prep
%autosetup -p0 -n %{pkgname}-%{version}

# Fix end of line encodings
sed -i 's/\r/\n/g' doc/{manual.bib,theory.xml}

%build
mkdir ../pkg
ln -s ../%{pkgname}-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{ChangeLog,COPYING,README.md}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
! grep -Fq 'Errors detected' log
rm -f log

%files
%doc ChangeLog README.md
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Jan  2 2018 Jerry James <loganjerry@gmail.com> - 3.8.0-1
- Initial RPM
